% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CallbackSetLRScheduler.R
\name{mlr_callback_set.lr_scheduler_one_cycle}
\alias{mlr_callback_set.lr_scheduler_one_cycle}
\alias{CallbackSetLRSchedulerOneCycle}
\title{OneCycle Learning Rate Scheduling Callback}
\description{
Changes the learning rate based on the 1cycle learning rate policy.

Wraps \code{\link[torch:lr_one_cycle]{torch::lr_one_cycle()}}, where the default values for \code{epochs} and \code{steps_per_epoch} are the number of training epochs and the number of batches per epoch.
}
\section{Super classes}{
\code{\link[mlr3torch:CallbackSet]{mlr3torch::CallbackSet}} -> \code{\link[mlr3torch:CallbackSetLRScheduler]{mlr3torch::CallbackSetLRScheduler}} -> \code{CallbackSetLRSchedulerOneCycle}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-CallbackSetLRSchedulerOneCycle-new}{\code{CallbackSetLRSchedulerOneCycle$new()}}
\item \href{#method-CallbackSetLRSchedulerOneCycle-on_begin}{\code{CallbackSetLRSchedulerOneCycle$on_begin()}}
\item \href{#method-CallbackSetLRSchedulerOneCycle-clone}{\code{CallbackSetLRSchedulerOneCycle$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="mlr3torch" data-topic="CallbackSet" data-id="load_state_dict"><a href='../../mlr3torch/html/CallbackSet.html#method-CallbackSet-load_state_dict'><code>mlr3torch::CallbackSet$load_state_dict()</code></a></span></li>
<li><span class="pkg-link" data-pkg="mlr3torch" data-topic="CallbackSet" data-id="print"><a href='../../mlr3torch/html/CallbackSet.html#method-CallbackSet-print'><code>mlr3torch::CallbackSet$print()</code></a></span></li>
<li><span class="pkg-link" data-pkg="mlr3torch" data-topic="CallbackSet" data-id="state_dict"><a href='../../mlr3torch/html/CallbackSet.html#method-CallbackSet-state_dict'><code>mlr3torch::CallbackSet$state_dict()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-CallbackSetLRSchedulerOneCycle-new"></a>}}
\if{latex}{\out{\hypertarget{method-CallbackSetLRSchedulerOneCycle-new}{}}}
\subsection{Method \code{new()}}{
Creates a new instance of this \link[R6:R6Class]{R6} class.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{CallbackSetLRSchedulerOneCycle$new(...)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{...}}{(any)\cr
The scheduler-specific initialization arguments.}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-CallbackSetLRSchedulerOneCycle-on_begin"></a>}}
\if{latex}{\out{\hypertarget{method-CallbackSetLRSchedulerOneCycle-on_begin}{}}}
\subsection{Method \code{on_begin()}}{
Creates the scheduler using the optimizer from the context
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{CallbackSetLRSchedulerOneCycle$on_begin()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-CallbackSetLRSchedulerOneCycle-clone"></a>}}
\if{latex}{\out{\hypertarget{method-CallbackSetLRSchedulerOneCycle-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{CallbackSetLRSchedulerOneCycle$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
