% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CallbackSetLRScheduler.R
\name{mlr_callback_set.lr_scheduler_reduce_on_plateau}
\alias{mlr_callback_set.lr_scheduler_reduce_on_plateau}
\alias{CallbackSetLRSchedulerReduceOnPlateau}
\title{Reduce On Plateau Learning Rate Scheduler}
\description{
Reduces the learning rate when the first validation metric stops improving for \code{patience} epochs.
Wraps \code{\link[torch:lr_reduce_on_plateau]{torch::lr_reduce_on_plateau()}}
}
\section{Super classes}{
\code{\link[mlr3torch:CallbackSet]{mlr3torch::CallbackSet}} -> \code{\link[mlr3torch:CallbackSetLRScheduler]{mlr3torch::CallbackSetLRScheduler}} -> \code{CallbackSetLRSchedulerReduceOnPlateau}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-CallbackSetLRSchedulerReduceOnPlateau-new}{\code{CallbackSetLRSchedulerReduceOnPlateau$new()}}
\item \href{#method-CallbackSetLRSchedulerReduceOnPlateau-clone}{\code{CallbackSetLRSchedulerReduceOnPlateau$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="mlr3torch" data-topic="CallbackSet" data-id="load_state_dict"><a href='../../mlr3torch/html/CallbackSet.html#method-CallbackSet-load_state_dict'><code>mlr3torch::CallbackSet$load_state_dict()</code></a></span></li>
<li><span class="pkg-link" data-pkg="mlr3torch" data-topic="CallbackSet" data-id="print"><a href='../../mlr3torch/html/CallbackSet.html#method-CallbackSet-print'><code>mlr3torch::CallbackSet$print()</code></a></span></li>
<li><span class="pkg-link" data-pkg="mlr3torch" data-topic="CallbackSet" data-id="state_dict"><a href='../../mlr3torch/html/CallbackSet.html#method-CallbackSet-state_dict'><code>mlr3torch::CallbackSet$state_dict()</code></a></span></li>
<li><span class="pkg-link" data-pkg="mlr3torch" data-topic="CallbackSetLRScheduler" data-id="on_begin"><a href='../../mlr3torch/html/CallbackSetLRScheduler.html#method-CallbackSetLRScheduler-on_begin'><code>mlr3torch::CallbackSetLRScheduler$on_begin()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-CallbackSetLRSchedulerReduceOnPlateau-new"></a>}}
\if{latex}{\out{\hypertarget{method-CallbackSetLRSchedulerReduceOnPlateau-new}{}}}
\subsection{Method \code{new()}}{
Creates a new instance of this \link[R6:R6Class]{R6} class.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{CallbackSetLRSchedulerReduceOnPlateau$new(...)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{...}}{(any)\cr
The scheduler-specific initialization arguments.}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-CallbackSetLRSchedulerReduceOnPlateau-clone"></a>}}
\if{latex}{\out{\hypertarget{method-CallbackSetLRSchedulerReduceOnPlateau-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{CallbackSetLRSchedulerReduceOnPlateau$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
