% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PipeOpTorchTokenizer.R
\name{nn_tokenizer_num}
\alias{nn_tokenizer_num}
\title{Numeric Tokenizer}
\usage{
nn_tokenizer_num(n_features, d_token, bias, initialization)
}
\arguments{
\item{n_features}{(\code{integer(1)})\cr
The number of features.}

\item{d_token}{(\code{integer(1)})\cr
The dimension of the embedding.}

\item{bias}{(\code{logical(1)})\cr
Whether to use a bias.}

\item{initialization}{(\code{character(1)})\cr
The initialization method for the embedding weights. Possible values are \code{"uniform"}
and \code{"normal"}.}
}
\description{
Tokenizes numeric features into a dense embedding.
For an input of shape \verb{(batch, n_features)} the output shape is \verb{(batch, n_features, d_token)}.
}
\references{
Gorishniy Y, Rubachev I, Khrulkov V, Babenko A (2021).
\dQuote{Revisiting Deep Learning  for Tabular Data.}
\emph{arXiv}, \bold{2106.11959}.
}
